Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DEREncodableVector

    java.lang.Object
      org.bouncycastle.asn1.DEREncodableVector

Direct Known Subclasses:
  ASN1EncodableVector

    public class DEREncodableVector

extends java.lang.Object

a general class for building up a vector of DER encodable objects - this will eventually be superceded by ASN1EncodableVector so you should use that class in preference.

Constructor Summary
`DEREncodableVector()` Deprecated. use ASN1EncodableVector instead.

Method Summary
`void` | `add(DEREncodable obj)`
`DEREncodable` | `get(int i)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DEREncodableVector

    public DEREncodableVector()

  Deprecated. use ASN1EncodableVector instead.

Method Detail

### add

    public void add(DEREncodable obj)

### get

    public DEREncodable get(int i)

### size

    public int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD